Bug 501383 - (389-ds-console) Review Request: 389-ds-console - 389 Directory Server Management Console
Review Request: 389-ds-console - 389 Directory Server Management Console
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dennis Gilmore
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-18 16:52 EDT by Rich Megginson
Modified: 2014-11-10 15:20 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-17 17:19:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dennis: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rich Megginson 2009-05-18 16:52:42 EDT
Spec URL: http://rmeggins.fedorapeople.org/pkgreview/389-ds-console.spec
SRPM URL: http://rmeggins.fedorapeople.org/pkgreview/389-ds-console-1.2.0-2.src.rpm
Description: A Java based remote management console used for managing 389
Directory Server.  The 389 Console is required to load and
run these jar files.

This is a rename of fedora-ds-console to 389-ds-console.

Source URL: http://port389.org/sources/389-ds-console-1.2.0.tar.bz2
md5sum 389-ds-console-1.2.0.tar.bz2 
90bd0d779719ef7d4cd57de3054b8721  389-ds-console-1.2.0.tar.bz2
sha1sum 389-ds-console-1.2.0.tar.bz2 
88766feff50b7c66b2b6e53223fd60a3df0c3f62  389-ds-console-1.2.0.tar.bz2

Compiles cleanly in mock

rpmlint /var/lib/mock/fedora-10-i386/result/*.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 1 Rich Megginson 2009-06-04 10:24:57 EDT
Any takers?  What can I do to help this along?
Comment 2 Rich Megginson 2009-06-17 12:20:51 EDT
ping
Comment 3 Rich Megginson 2009-06-23 10:19:17 EDT
What can I do to speed up the package review process?  I will not be able to release the 389 directory server suite without this package.
Comment 4 Rich Megginson 2009-07-10 11:19:14 EDT
ping
Comment 5 Rich Megginson 2009-07-14 19:44:45 EDT
To anticipate similar comments made for review https://bugzilla.redhat.com/show_bug.cgi?id=389-admin-console

Checked the copyrights - looks like the source files were already correctly GPLv2 licensed (not GPLv2+ as the admin console files were).

> - Why you put the jar files into %{_datadir}/dirsrv/manual/html/java?

The way the console works is that it dynamically downloads (and caches) the jar
file corresponding to the server version you are managing.  This allows you to
use the console to manage older and compatible newer versions of directory
server and admin server.  The location %{_datadir}/dirsrv/manual/html/java is
where the admin server looks for the jar files when a request is made to
download them to the console machine.

The files under %{_datadir}/dirsrv/manual/html/java are not used directly -
they are downloaded to $HOME/.fedora-idm-console (or now $HOME/.389-console)
where they are loaded into the console.

> - Because the manual seems to be very large, a separate doc
>   subpackage make sense  

Done.

Spec: http://rmeggins.fedorapeople.org/pkgreview/389-ds-console.spec
SRPM: http://rmeggins.fedorapeople.org/pkgreview/389-ds-console-1.2.0-3.src.rpm
Comment 6 Dennis Gilmore 2009-07-17 16:18:59 EDT
rpmlint is not  quiet but i think its ok.  it would be good to get the exit calls removed from the shared libraries

389-adminutil-devel.x86_64: W: no-documentation
389-adminutil.x86_64: W: shared-lib-calls-exit /usr/lib64/libadminutil.so.1.1.8 exit@GLIBC_2.2.5
389-adminutil.x86_64: W: shared-lib-calls-exit /usr/lib64/libadmsslutil.so.1.1.8 exit@GLIBC_2.2.5
4 packages and 0 specfiles checked; 0 errors, 3 warnings.

sha256sum matches upstream 
f5872d644971f51e45d402d3a913d2b0b1c4575122fb849bde5048fecd9f6872  389-adminutil-1.1.8.tar.bz2
f5872d644971f51e45d402d3a913d2b0b1c4575122fb849bde5048fecd9f6872  /home/dennis//fedora/SOURCES/389-adminutil-1.1.8.tar.bz2

obsoletes/provides is sane and makes sure that the old version are removed.


approved
Comment 7 Rich Megginson 2009-07-17 16:28:00 EDT
> rpmlint is not  quiet but i think its ok.  it would be good to get the exit
> calls removed from the shared libraries
> 
> 389-adminutil-devel.x86_64: W: no-documentation
> 389-adminutil.x86_64: W: shared-lib-calls-exit /usr/lib64/libadminutil.so.1.1.8
> exit@GLIBC_2.2.5
> 389-adminutil.x86_64: W: shared-lib-calls-exit
> /usr/lib64/libadmsslutil.so.1.1.8 exit@GLIBC_2.2.5
> 4 packages and 0 specfiles checked; 0 errors, 3 warnings.
> 
> sha256sum matches upstream 
> f5872d644971f51e45d402d3a913d2b0b1c4575122fb849bde5048fecd9f6872 
> 389-adminutil-1.1.8.tar.bz2
> f5872d644971f51e45d402d3a913d2b0b1c4575122fb849bde5048fecd9f6872 
> /home/dennis//fedora/SOURCES/389-adminutil-1.1.8.tar.bz2
> 
> obsoletes/provides is sane and makes sure that the old version are removed.
> 
> 
> approved  

wrong package?  This is 389-ds-console not 389-adminutil
Comment 8 Dennis Gilmore 2009-07-17 16:37:48 EDT
rpmlint is quiet
sha256sums of upstream tarball and whats in the srpm match
e442f7d538258d7b3cbd88d1fcfa0ad28e0716a8d8428efaa7b9af58c99d6529 
389-ds-console-1.2.0.tar.bz2
e442f7d538258d7b3cbd88d1fcfa0ad28e0716a8d8428efaa7b9af58c99d6529 
/home/dennis//fedora/SOURCES/389-ds-console-1.2.0.tar.bz2

obsoletes/provides is sane and replaces the old version

Builds fine in mock

Approved.  

bad copy and paste.
Comment 9 Rich Megginson 2009-07-17 16:41:18 EDT
New Package CVS Request
=======================
Package Name: 389-ds-console
Short Description: 389 Directory Server Management Console
Owners: rmeggins nhosoi nkinder
Branches: F-10 F-11
Comment 10 Dennis Gilmore 2009-07-17 16:50:00 EDT
CVS Done
Comment 11 Rich Megginson 2009-07-17 17:19:00 EDT
cvs import done - built in koji - all branches imported
Comment 12 Michael Stahnke 2009-11-02 23:21:01 EST
New Package CVS Request
=======================
Package Name: 389-ds-console
Short Description: 389 Directory Server Management Console
Owners: stahnma
Branches: EL4, EL5
Comment 13 Kevin Fenzi 2009-11-02 23:40:02 EST
cvs done.
Comment 14 Rich Megginson 2014-11-10 14:12:52 EST
Package Change Request
======================
Package Name: 389-ds-console
New Branches: epel7
Owners: mreynolds nhosoi nkinder rmeggins
Comment 15 Gwyn Ciesla 2014-11-10 15:20:24 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.